package com.devlab.app

import android.app.Application
import com.devlab.app.util.NotificationHelper
import com.devlab.app.util.NotificationPoller
import com.devlab.app.worker.NotificationWorker

class ServerManagerApp : Application() {
    var notificationPoller: NotificationPoller? = null
        private set

    override fun onCreate() {
        super.onCreate()
        instance = this
        NotificationHelper.createChannels(this)
        NotificationWorker.schedule(this)
        notificationPoller = NotificationPoller(this)
    }

    companion object {
        lateinit var instance: ServerManagerApp
            private set
    }
}
